/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebColumnStateDescription = /*@__PURE__*/ (() => {
    class WebColumnStateDescription extends Description {
        get_type() {
            return "WebColumnState";
        }
        get type() {
            return this.get_type();
        }
        constructor() {
            super();
            this.r = false;
            this.u = false;
            this.l = false;
            this.k = false;
            this.v = false;
            this.m = false;
            this.as = null;
            this.at = null;
            this.au = null;
            this.n = false;
            this.q = false;
            this.p = false;
            this.ap = null;
            this.o = false;
            this.aq = null;
            this.al = null;
            this.ar = null;
            this.s = false;
            this.t = false;
            this.i = false;
            this.ak = null;
            this.j = false;
        }
        get pinned() {
            return this.r;
        }
        set pinned(a) {
            this.r = a;
            this.g("Pinned");
        }
        get sortable() {
            return this.u;
        }
        set sortable(a) {
            this.u = a;
            this.g("Sortable");
        }
        get filterable() {
            return this.l;
        }
        set filterable(a) {
            this.l = a;
            this.g("Filterable");
        }
        get editable() {
            return this.k;
        }
        set editable(a) {
            this.k = a;
            this.g("Editable");
        }
        get sortingIgnoreCase() {
            return this.v;
        }
        set sortingIgnoreCase(a) {
            this.v = a;
            this.g("SortingIgnoreCase");
        }
        get filteringIgnoreCase() {
            return this.m;
        }
        set filteringIgnoreCase(a) {
            this.m = a;
            this.g("FilteringIgnoreCase");
        }
        get headerClasses() {
            return this.as;
        }
        set headerClasses(a) {
            this.as = a;
            this.g("HeaderClasses");
        }
        get headerGroupClasses() {
            return this.at;
        }
        set headerGroupClasses(a) {
            this.at = a;
            this.g("HeaderGroupClasses");
        }
        get maxWidth() {
            return this.au;
        }
        set maxWidth(a) {
            this.au = a;
            this.g("MaxWidth");
        }
        get groupable() {
            return this.n;
        }
        set groupable(a) {
            this.n = a;
            this.g("Groupable");
        }
        get movable() {
            return this.q;
        }
        set movable(a) {
            this.q = a;
            this.g("Movable");
        }
        get hidden() {
            return this.p;
        }
        set hidden(a) {
            this.p = a;
            this.g("Hidden");
        }
        get dataType() {
            return this.ap;
        }
        set dataType(a) {
            this.ap = a;
            this.g("DataType");
        }
        get hasSummary() {
            return this.o;
        }
        set hasSummary(a) {
            this.o = a;
            this.g("HasSummary");
        }
        get field() {
            return this.aq;
        }
        set field(a) {
            this.aq = a;
            this.g("Field");
        }
        get width() {
            return this.al;
        }
        set width(a) {
            this.al = a;
            this.g("Width");
        }
        get header() {
            return this.ar;
        }
        set header(a) {
            this.ar = a;
            this.g("Header");
        }
        get resizable() {
            return this.s;
        }
        set resizable(a) {
            this.s = a;
            this.g("Resizable");
        }
        get searchable() {
            return this.t;
        }
        set searchable(a) {
            this.t = a;
            this.g("Searchable");
        }
        get columnGroup() {
            return this.i;
        }
        set columnGroup(a) {
            this.i = a;
            this.g("ColumnGroup");
        }
        get parent() {
            return this.ak;
        }
        set parent(a) {
            this.ak = a;
            this.g("Parent");
        }
        get disableHiding() {
            return this.j;
        }
        set disableHiding(a) {
            this.j = a;
            this.g("DisableHiding");
        }
    }
    WebColumnStateDescription.$t = /*@__PURE__*/ markType(WebColumnStateDescription, 'WebColumnStateDescription', Description.$);
    WebColumnStateDescription.__marshalByValue = true;
    WebColumnStateDescription.__marshalByValueAlias = "ColumnState";
    return WebColumnStateDescription;
})();
